{% extends 'accounts/base.html' %} {% block content%}
  <!-- Translations -->
  {% load i18n %}


<div class="container">
    <button class="btn btn-primary my-3" id="signup-back" value="{% url 'accounts:custom-login' %}">
        <i class="fas fa-angle-left"></i> &nbsp; {% trans "Back" %}
    </button>
    <h1>{% trans "Sign-up" %}</h1>

    <p> {% trans "Complete the following fields to sign up" %}:</p>

    <form class="form-horizontal" id="sign-up-form" method="POST" action="" role="form">
        {% csrf_token %} {{ form.non_field_errors }}

        <div class="form-row" id="error-username">
            <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.username.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.username.id_for_label }}">{% trans "Username" %}</label>
                {{ form.username }}
            </div>
        </div>

        <div class="form-row" id="error-email">
            <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.email.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.email.id_for_label }}">Email:</label>
                {{ form.email }}
            </div>
        </div>

        <div class="form-row" id="error-password1">
            <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.password1.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.password1.id_for_label }}">{% trans "Password" %}</label>
                {{ form.password1 }}
            </div>
        </div>

        <div class="form-row" id="error-password2">
            <div class="form-group col-md-6">
                <span class="text-danger small">{{ form.password2.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.password2.id_for_label }}">{% trans "Confirm password" %}</label>
                {{ form.password2 }}
            </div>
        </div>

        <input type="hidden" name="next" value="{% url 'homepage:homepage' %}" />
        <button class="btn btn-success" type="submit">{% trans "Sign-up" %}</button>

    </form>

</div>

{% endblock %}